# Class OjRatingGauge

The component WebElement for oj-rating-gauge. Do not instantiate this class directly, instead, use ojRatingGauge.

#### Hierarchy

- OjRatingGaugeBase
  - OjRatingGauge

#####
Index

### Constructors

constructor

### Methods

changeChanged
changeValue
clear
click
findElement
findElements
getAttribute
getChanged
getChangedState
getCssValue
getDescribedBy
getDisabled
getDriver
getHoverState
getId
getLabelledBy
getLocation
getMax
getMin
getOrientation
getPreserveAspectRatio
getProperty
getReadonly
getRect
getSelectedState
getShadowRoot
getSize
getSizeProperty
getStep
getTagName
getText
getThresholds
getTooltip
getTrackResize
getTransientValue
getTranslations
getUnselectedState
getValue
getVisualEffects
hasSize
hasVisibility
isDisplayed
isEnabled
isSelected
sendKeys
serialize
setProperty
submit
takeScreenshot
whenBusyContextReady
whenReady
buildId
equals
extractId
isId

## Constructors

### constructor

- new OjRatingGauge(el, locators): OjRatingGauge

- Constructor. Pass an instance of WebDriver's WebElement that represents the DOM node on which we"ll perform operations.

  #### Parameters

  - ##### el: WebElement

    The basic WebElement with which this WebElement will work.

  - ##### locators: ElementLocators

  #### Returns OjRatingGauge

  Inherited from OjRatingGaugeBase.constructor

## Methods

### changeChanged

- changeChanged(changed): Promise<void>

- Sets the value of `changed` property. Whether there has been a value entered by the user.

  #### Parameters

  - ##### changed: boolean

    The value to set for `changed`

  #### Returns Promise<void>

  Inherited from OjRatingGaugeBase.changeChanged

### changeValue

- changeValue(value): Promise<void>

- Sets the value of `value` property. The value set on the gauge.

  #### Parameters

  - ##### value: number

    The value to set for `value`

  #### Returns Promise<void>

  Inherited from OjRatingGaugeBase.changeValue

### clear

- clear(): Promise<void>

- ### Inherit Doc

  #### Returns Promise<void>

  Inherited from OjRatingGaugeBase.clear

### click

- click(): Promise<void>

- ### Inherit Doc

  #### Returns Promise<void>

  Inherited from OjRatingGaugeBase.click

### findElement

- findElement(locator): WebElementPromise

- ### Inherit Doc

  #### Parameters

  - ##### locator: Locator

  #### Returns WebElementPromise

  Inherited from OjRatingGaugeBase.findElement

### findElements

- findElements(locator): Promise<WebElement[]>

- ### Inherit Doc

  #### Parameters

  - ##### locator: Locator

  #### Returns Promise<WebElement[]>

  Inherited from OjRatingGaugeBase.findElements

### getAttribute

- getAttribute(attributeName): Promise<string>

- ### Inherit Doc

  #### Parameters

  - ##### attributeName: string

  #### Returns Promise<string>

  Inherited from OjRatingGaugeBase.getAttribute

### getChanged

- getChanged(): Promise<boolean>

- Gets the value of `changed` property. Whether there has been a value entered by the user.

  #### Returns Promise<boolean>

  The value of `changed` property.

  Inherited from OjRatingGaugeBase.getChanged

### getChangedState

- getChangedState(): Promise<ChangedState>

- Gets the value of `changedState` property. The changed shape for the gauge. Displayed after the user has set a value, or when the changed attribute of the data object is set to true.

  #### Returns Promise<ChangedState>

  The value of `changedState` property.

  Inherited from OjRatingGaugeBase.getChangedState

### getCssValue

- getCssValue(cssStyleProperty): Promise<string>

- ### Inherit Doc

  #### Parameters

  - ##### cssStyleProperty: string

  #### Returns Promise<string>

  Inherited from OjRatingGaugeBase.getCssValue

### getDescribedBy

- getDescribedBy(): Promise<string>

- Gets the value of `describedBy` property. Specifies a relationship between this component and another element.

  #### Returns Promise<string>

  The value of `describedBy` property.

  Inherited from OjRatingGaugeBase.getDescribedBy

### getDisabled

- getDisabled(): Promise<boolean>

- Gets the value of `disabled` property. Defines whether the gauge is disabled or not. User interaction is prevented if set to true. Visual indication will not be present when custom image source is used. Other state specific svg-class-name and svg-style will be overridden by disabled default style.

  #### Returns Promise<boolean>

  The value of `disabled` property.

  Inherited from OjRatingGaugeBase.getDisabled

### getDriver

- getDriver(): WebDriver

- #### Returns WebDriver

  The parent driver for this instance.

  Inherited from OjRatingGaugeBase.getDriver

### getHoverState

- getHoverState(): Promise<HoverState>

- Gets the value of `hoverState` property. The shape that displays on hover.

  ### Deprecated

  Since 14.0.0. This is not recommended in the Redwood design system.

  #### Returns Promise<HoverState>

  The value of `hoverState` property.

  Inherited from OjRatingGaugeBase.getHoverState

### getId

- getId(): Promise<string>

- #### Returns Promise<string>

  A promise that resolves to the server-assigned opaque ID assigned to this element.

  Inherited from OjRatingGaugeBase.getId

### getLabelledBy

- getLabelledBy(): Promise<string>

- Gets the value of `labelledBy` property. Establishes a relationship between this component and another element, typically an oj-label custom element. See the Help documentation for more information.

  #### Returns Promise<string>

  The value of `labelledBy` property.

  Inherited from OjRatingGaugeBase.getLabelledBy

### getLocation

- getLocation(): Promise<ILocation>

- ### Inherit Doc

  #### Returns Promise<ILocation>

  Inherited from OjRatingGaugeBase.getLocation

### getMax

- getMax(): Promise<number>

- Gets the value of `max` property. Integer value specifying the maximum value of the gauge, which determines the number of shapes or images that are displayed.

  #### Returns Promise<number>

  The value of `max` property.

  Inherited from OjRatingGaugeBase.getMax

### getMin

- getMin(): Promise<number>

- Gets the value of `min` property. The minimum value that can be set on the gauge by the end user. Does not affect the value set on the gauge by API.

  ### Deprecated

  Since 14.0.0. This is not recommended in the Redwood design system.

  #### Returns Promise<number>

  The value of `min` property.

  Inherited from OjRatingGaugeBase.getMin

### getOrientation

- getOrientation(): Promise<string>

- Gets the value of `orientation` property. Defines the type of rating gauge to be rendered.

  ### Deprecated

  Since 9.0.0. Usage of vertical rating gauges is not recommended.

  #### Returns Promise<string>

  The value of `orientation` property.

  Inherited from OjRatingGaugeBase.getOrientation

### getPreserveAspectRatio

- getPreserveAspectRatio(): Promise<string>

- Gets the value of `preserveAspectRatio` property. Specifies whether the images provided should show up at their defined aspect ratios. See the Help documentation for more information.

  #### Returns Promise<string>

  The value of `preserveAspectRatio` property.

  Inherited from OjRatingGaugeBase.getPreserveAspectRatio

### getProperty

- getProperty<T>(propertyName): Promise<T>

- Get a named property value from this component. This function will wait for the application's busy context to complete before attempting to get the property value.

  #### Type Parameters

  - #### T = string

  #### Parameters

  - ##### propertyName: string

    The name of the property

  #### Returns Promise<T>

  A Promise that yields a value for the named property.

  Inherited from OjRatingGaugeBase.getProperty

### getReadonly

- getReadonly(): Promise<boolean>

- Gets the value of `readonly` property. Defines whether the value of the gauge can be changed by the end user.

  #### Returns Promise<boolean>

  The value of `readonly` property.

  Inherited from OjRatingGaugeBase.getReadonly

### getRect

- getRect(): Promise<IRectangle>

- ### Inherit Doc

  #### Returns Promise<IRectangle>

  Inherited from OjRatingGaugeBase.getRect

### getSelectedState

- getSelectedState(): Promise<SelectedState>

- Gets the value of `selectedState` property. The selected shape for the gauge.

  #### Returns Promise<SelectedState>

  The value of `selectedState` property.

  Inherited from OjRatingGaugeBase.getSelectedState

### getShadowRoot

- getShadowRoot(): ShadowRootPromise

- Get the shadow root of the current web element.

  #### Returns ShadowRootPromise

  A promise that will be resolved with the elements shadow root or rejected with NoSuchShadowRootError

  Inherited from OjRatingGaugeBase.getShadowRoot

### getSize

- getSize(): Promise<ISize>

- ### Inherit Doc

  #### Returns Promise<ISize>

  Inherited from OjRatingGaugeBase.getSize

### getSizeProperty

- getSizeProperty(): Promise<string>

- Gets the value of `size` property. Specifies the size of the rating gauge item. See the Help documentation for more information.

  #### Returns Promise<string>

  The value of `size` property.

  Inherited from OjRatingGaugeBase.getSizeProperty

### getStep

- getStep(): Promise<number>

- Gets the value of `step` property. Specifies the increment by which values can be specified by the end user.

  #### Returns Promise<number>

  The value of `step` property.

  Inherited from OjRatingGaugeBase.getStep

### getTagName

- getTagName(): Promise<string>

- Schedules a command to query for the tag/node name of this element.

  #### Returns Promise<string>

  A promise that will be resolved with the element's tag name.

  Inherited from OjRatingGaugeBase.getTagName

### getText

- getText(): Promise<string>

- ### Inherit Doc

  #### Returns Promise<string>

  Inherited from OjRatingGaugeBase.getText

### getThresholds

- getThresholds(): Promise<Thresholds[]>

- Gets the value of `thresholds` property. An array of objects specifying the gauge thresholds.

  #### Returns Promise<Thresholds[]>

  The value of `thresholds` property.

  Inherited from OjRatingGaugeBase.getThresholds

### getTooltip

- getTooltip(): Promise<Tooltip>

- Gets the value of `tooltip` property. An object containing an optional callback function for tooltip customization.

  #### Returns Promise<Tooltip>

  The value of `tooltip` property.

  Inherited from OjRatingGaugeBase.getTooltip

### getTrackResize

- getTrackResize(): Promise<string>

- Gets the value of `trackResize` property. Defines whether the element will automatically render in response to changes in size. See the Help documentation for more information.

  #### Returns Promise<string>

  The value of `trackResize` property.

  Inherited from OjRatingGaugeBase.getTrackResize

### getTransientValue

- getTransientValue(): Promise<number>

- Gets the value of `transientValue` property. Read-only property used for retrieving the transient value from the component. See the Help documentation for more information.

  #### Returns Promise<number>

  The value of `transientValue` property.

  Inherited from OjRatingGaugeBase.getTransientValue

### getTranslations

- getTranslations(): Promise<Translations>

- Gets the value of `translations` property. A collection of translated resources from the translation bundle, or null if this component has no resources.

  #### Returns Promise<Translations>

  The value of `translations` property.

  Inherited from OjRatingGaugeBase.getTranslations

### getUnselectedState

- getUnselectedState(): Promise<UnselectedState>

- Gets the value of `unselectedState` property. The unselected shape for the gauge.

  ### Deprecated

  Since 14.0.0. This is not recommended in the Redwood design system.

  #### Returns Promise<UnselectedState>

  The value of `unselectedState` property.

  Inherited from OjRatingGaugeBase.getUnselectedState

### getValue

- getValue(): Promise<number>

- Gets the value of `value` property. The value set on the gauge.

  #### Returns Promise<number>

  The value of `value` property.

  Inherited from OjRatingGaugeBase.getValue

### getVisualEffects

- getVisualEffects(): Promise<string>

- Gets the value of `visualEffects` property. Defines whether theme specific visual effects such as overlays and gradients are applied to the gauge.

  ### Deprecated

  Since 12.1.0. Overlays and gradients are not supported in Redwood theme and are not recommended. As such, this attribute is deprecated.

  #### Returns Promise<string>

  The value of `visualEffects` property.

  Inherited from OjRatingGaugeBase.getVisualEffects

### `Protected` hasSize

- hasSize(): Condition<Promise<boolean>>

- Create a wait condition that is satisfied when the element's DOM has a non-zero size.

  ### Deprecated

  Since 11.0.0. Call the appropriate WebElement method to test the size of the element.

  #### Returns Condition<Promise<boolean>>

  The Condition to be used with driver.wait() that's satisfied when the element's DOM has a non-zero size.

  Inherited from OjRatingGaugeBase.hasSize

### `Protected` hasVisibility

- hasVisibility(): Condition<Promise<boolean>>

- Create a wait condition that is satisfid when the element is visible. The condition is satisfied when the element is displayed, as reported by #isDisplayed, and is scrolled into view. This is method is deprecated. Use WebElement.isDisplayed instead to test the display of the element, and scroll it into view if necessary.

  ### Deprecated

  #### Returns Condition<Promise<boolean>>

  Inherited from OjRatingGaugeBase.hasVisibility

### isDisplayed

- isDisplayed(): Promise<boolean>

- ### Inherit Doc

  #### Returns Promise<boolean>

  Inherited from OjRatingGaugeBase.isDisplayed

### isEnabled

- isEnabled(): Promise<boolean>

- ### Inherit Doc

  #### Returns Promise<boolean>

  Inherited from OjRatingGaugeBase.isEnabled

### isSelected

- isSelected(): Promise<boolean>

- ### Inherit Doc

  #### Returns Promise<boolean>

  Inherited from OjRatingGaugeBase.isSelected

### sendKeys

- sendKeys(...varArgs): Promise<void>

- ### Inherit Doc

  #### Parameters

  - ##### `Rest` ...varArgs: (string | number | Promise<string | number>)[]

  #### Returns Promise<void>

  Inherited from OjRatingGaugeBase.sendKeys

### serialize

- serialize(): Promise<IWebElementId>

- #### Returns Promise<IWebElementId>

  Inherited from OjRatingGaugeBase.serialize

### `Protected` setProperty

- setProperty<T>(propertyName, value): Promise<void>

- Set a property value on the remote element. This function first waits for the BusyContext to clear before setting the property, then after setting, waits again to ensure that no additional busy states were created due to the property setting.

  #### Type Parameters

  - #### T = string

  #### Parameters

  - ##### propertyName: string

    The property name to set

  - ##### value: T

    The value to set for the property

  #### Returns Promise<void>

  A Promise which resolves when the remote property has been set to the value. Any value returned from the call to set the remote property is returned in the Promise.

  Inherited from OjRatingGaugeBase.setProperty

### submit

- submit(): Promise<void>

- ### Inherit Doc

  #### Returns Promise<void>

  Inherited from OjRatingGaugeBase.submit

### takeScreenshot

- takeScreenshot(optScroll?): Promise<string>

- ### Inherit Doc

  #### Parameters

  - ##### `Optional` optScroll: boolean

  #### Returns Promise<string>

  Inherited from OjRatingGaugeBase.takeScreenshot

### whenBusyContextReady

- whenBusyContextReady(): Promise<void>

- Returns a Promise that is resolved when the application's busy state reports ready. This method checks only that the application's busy context is ready, and not that the DOM element is actually displayed or has a physical size, such as is the case with #whenReady. Operations which are read-only in nature should call this method prior to execution.

  #### Returns Promise<void>

  A Promise which is resolved when the page's busy state is ready.

  Inherited from OjRatingGaugeBase.whenBusyContextReady

### whenReady

- whenReady(): Promise<void>

- Returns a Promise that is resolved when the element is ready for interaction--it is visible, has a size, and the app's busy context is ready. Operations on the DOM which rely on its physical location and size to be in a "ready" state should use this command, such as clicking, sending keys, locating child elements, and so on.

  #### Returns Promise<void>

  A Promise that's resolved when all conditions are met.

  Inherited from OjRatingGaugeBase.whenReady

### `Static` buildId

- buildId(id, opt_noLegacy?): IWebElementId

- #### Parameters

  - ##### id: string

    The raw ID.

  - ##### `Optional` opt_noLegacy: boolean

    Whether to exclude the legacy element key.

  #### Returns IWebElementId

  The element ID for use with WebDriver's wire protocol.

  Inherited from OjRatingGaugeBase.buildId

### `Static` equals

- equals(a, b): Promise<boolean>

- Compares two WebElements for equality.

  #### Parameters

  - ##### a: WebElement

    A WebElement.

  - ##### b: WebElement

    A WebElement.

  #### Returns Promise<boolean>

  A promise that will be resolved to whether the two WebElements are equal.

  Inherited from OjRatingGaugeBase.equals

### `Static` extractId

- extractId(obj): string

- Extracts the encoded WebElement ID from the object.

  ### Throws

  if the object is not a valid encoded ID.

  #### Parameters

  - ##### obj: IWebElementId

    The object to extract the ID from.

  #### Returns string

  the extracted ID.

  Inherited from OjRatingGaugeBase.extractId

### `Static` isId

- isId(obj): boolean

- #### Parameters

  - ##### obj: IWebElementId

    the object to test.

  #### Returns boolean

  whether the object is a valid encoded WebElement ID.

  Inherited from OjRatingGaugeBase.isId

Generated using TypeDoc